Back to LinkedIn
Apify·LinkedIn

LinkedIn Company Posts Scraper (No Cookies)

/harvestapi/linkedin-company-postsasync$0.0026 / result

Extract posts from LinkedIn companies including content, media, engagement, reactions, comments and more. No cookies or account required. Concurrency + fast response times make mass scraping fast ⚡ Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
FieldTypeRequiredDescription
targetUrlsarrayList of LinkedIn profile or company URLs to scrape. Example: `https://www.linkedin.com/in/satyanadella/` will fetch posted or re-posted content by Bill Gates.
maxPostsintegerMaximum number of posts to scrape per each profile or company. Default is 10. This overrides pagination. If you set this to 0, it will scrape all posts.
postedLimitstring (any, 1h, 24h, week, month, 3months, 6months, year)Fetch posts no older than X time. Options: '24h', 'week', 'month'.
postedLimitDatestringScrape posts from now up to and including this date. It supports the [Date time string format](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#date_time_string_format). For example, "2011-10-10", or "2011-10-10T14:48:00.000+09:00" or a timestamp: "628021800000"
includeQuotePostsbooleanInclude quote posts (shared posts with comments). By default, all posts are scraped. (default true)
includeRepostsbooleanInclude reposts (shared posts without comments). By default, all posts are scraped. (default true)
scrapeReactionsbooleanScrape reactions of posts. (default false)
maxReactionsintegerMaximum number of reactions to scrape per post. Default is 5.
postNestedReactionsbooleanWhether to add reactions items inside post items. In a case of hundreds of reactions, the Actor might hit the max item size limit and won't be able to save a post.
scrapeCommentsbooleanScrape comments of posts. (default false)
maxCommentsintegerMaximum number of comments to scrape per post. Default is 5.
commentsPostedLimitstring (any, 1h, 24h, week, month)Fetch comments no older than X time. Options: '24h', 'week', 'month'.
postNestedCommentsbooleanWhether to add comments items inside post items. In a case of hundreds of comments, the Actor might hit the max item size limit and won't be able to save a post.
contextCountrystring (any, US, GB, DE, FR)Set the context country for LinkedIn. This can affect the content you see on LinkedIn, as it may vary by region.

Run it

curl -s https://www.sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/harvestapi/linkedin-company-posts","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.